Tol {VGAM} | R Documentation

## Tolerances

### Description

Generic function for the tolerances of a model.

### Usage

    Tol(object, ...)

### Arguments

`object` | An object for which the computation or extraction of a tolerance or tolerances is meaningful.
`...` | Other arguments fed into the specific methods function of the model. Sometimes they are fed into the methods function for `Coef`.

### Details

Different models can define an optimum in different ways. Many models have no such notion or definition.

Tolerances occur in quadratic ordination, i.e., CQO and UQO. They have ecological meaning because a high tolerance for a species means the species can survive over a large environmental range (stenoecous species), whereas a small tolerance means the species' niche is small (eurycous species). Mathematically, the tolerance is like the variance of a normal distribution.

### Value

The value returned depends specifically on the methods function invoked.

### Warning

There is a direct inverse relationship between the scaling of the latent variables (site scores) and the tolerances. One normalization is for the latent variables to have unit variance. Another normalization is for all the tolerances to be unit. These two normalization cannot simultaneously hold in general. For rank-R>1 models it becomes more complicated because the latent variables are also uncorrelated. An important argument when fitting quadratic ordination models is whether `eq.tolerances` is `TRUE` or `FALSE`. See Yee (2004) for details.

### Note

Tolerances are undefined for ‘linear’ and additive ordination models. They are well-defined for quadratic ordination models.

### Author(s)

Thomas W. Yee

### References

Yee, T. W. (2004) A new technique for maximum-likelihood canonical Gaussian ordination. Ecological Monographs, 74, 685–701.

Yee, T. W. (2006) Constrained additive ordination. Ecology, 87, 203–213.

### See Also

`Tol.qrrvglm`. `Max`, `Opt`, `cqo`, `rcim` for UQO.

### Examples

    ## Not run:
    set.seed(111)  # This leads to the global solution
    hspider[,1:6] <- scale(hspider[, 1:6])  # Standardized environmental vars
    p1 <- cqo(cbind(Alopacce, Alopcune, Alopfabr, Arctlute, Arctperi,
                   Auloalbi, Pardlugu, Pardmont, Pardnigr, Pardpull,
                   Trocterr, Zoraspin) ~
             WaterCon + BareSand + FallTwig + CoveMoss + CoveHerb + ReflLux,
             Bestof = 2, quasipoissonff, data = hspider, Crow1positive = FALSE)

    Tol(p1)

    ## End(Not run)

[Package VGAM version 1.0-4 Index]